<form *ngIf="!!methods && methods.length > 0; else noFunctionProvided"
      [formGroup]="methodsFormGroup"
      (ngSubmit)="onSubmit()">
  <mat-form-field>
    <mat-label>Choose a method</mat-label>
    <mat-select formControlName="method">
      <mat-option *ngFor="let method of methods" [value]="method">
        {{method}}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <button mat-raised-button color="primary" [disabled]="!methodsFormGroup.valid || disabled">
    Submit
  </button>
</form>
<ng-template #noFunctionProvided>
  <p>You have to choose a function firstly</p>
</ng-template>
